#### D.15.15.5 displaypfd_long

Procedure from library `pfd.lib` (see pfd_lib).

Usage:
  displaypfd_long(dec); dec list

Purpose:
  like displaypfd, but denominators are written out, not indexed.

Example:

    LIB "pfd.lib";
    ring R = 0,(x,y),dp;
    poly f = x^3+3*x^2*y+2*y^2-x^2+4*x*y;
    poly g = x^2*y*(x-1)*(x-y)^2;
    list dec = pfd(f,g);
    ==>   (2) / (q3*q4)
    ==> + (-2) / (q1*q4)
    ==> + (-6) / (q3*q4^2)
    ==> + (1) / (q2*q4^2)
    ==> + (9) / (q1*q4^2)
    ==> + (2) / (q3^2*q4)
    ==> where
    ==> q1 = x-1
    ==> q2 = y
    ==> q3 = x
    ==> q4 = x-y
    ==> (6 terms)
    ==>
    displaypfd_long(dec);
    ==>   (2)/((x)*(x-y))
    ==> + (-2)/((x-1)*(x-y))
    ==> + (-6)/((x)*(x-y)^2)
    ==> + (1)/((y)*(x-y)^2)
    ==> + (9)/((x-1)*(x-y)^2)
    ==> + (2)/((x)^2*(x-y))
    ==> (6 terms)
    ==>

See also: displaypfd; getStringpfd; getStringpfd_indexed; pfd.

User manual for Singular version 4.4.1, 2025, generated by texi2html.